fn main() {
    cc::Build::new()
        .file("src/wireguard_manager/wireguard_wrapper.c")
        .compile("wireguard_wrapper.a");

    cc::Build::new()
        .file("src/wireguard_manager/wireguard.c")
        .compile("wireguard.a");

    println!("cargo::rerun-if-changed=src/wireguard.c");


    // The bindgen::Builder is the main entry point
    // to bindgen, and lets you build up options for
    // the resulting bindings.
    let bindings = bindgen::Builder::default()
        // The input header we would like to generate
        // bindings for.
        .header("src/wireguard_manager/wireguard_wrapper.h")
        // Tell cargo to invalidate the built crate whenever any of the
        // included header files changed.
        .parse_callbacks(Box::new(bindgen::CargoCallbacks::new()))
        // Finish the builder and generate the bindings.
        .generate()
        // Unwrap the Result and panic on failure.
        .expect("Unable to generate bindings");

    // Write the bindings to the $OUT_DIR/bindings.rs file.
    //let out_path = PathBuf::from(env::var("OUT_DIR").unwrap());
    bindings
        .write_to_file("src/wireguard_manager/wireguard_wrapper.rs")
        .expect("Couldn't write bindings!");
}
