use crate::wireguard_manager::wireguard_wrapper;
use std::ffi::CString;

pub fn get_names() -> i32 {
    let index: i32;
    /*unsafe {
        let names = wireguard::wg_list_device_names();
        index = *names
    }
    return index;*/
    unsafe {
        index = wireguard_wrapper::it_works();
    }
    index
}

pub fn set_params(mut wg_pub_key: [u8; 32],
    mut wg_priv_key: [u8;32],
    peer_ip: String,
    interface_name: String) -> bool {
    let mut ret = false;
    unsafe {
        let mut peer = wireguard_wrapper::generate_new_peer(&mut wg_pub_key,
                                                        CString::new(peer_ip).unwrap().into_raw(),
                                                        51820);

        let mut device = wireguard_wrapper::generate_new_device(&mut wg_priv_key,
                                                                CString::new(interface_name).unwrap().into_raw(),
                                                                51820, peer);

        let status_set_device = wireguard_wrapper::wg_set_device(&mut device);
        ret = status_set_device >= 0;
        wireguard_wrapper::clean_device(&mut peer);
    }
    ret
}

